Kerbal Space Program - Bug #22992

Rescue Kerbals unable to control jet pack
06/24/2019 08:45 PM - cords55

Status: Need More Info Start date: 06/24/2019

Severity: Low % Done: 0%

Assignee:

Category: Controls and Ul

Target version:

Version: 1.7.2 Language: English (US), 0000 (Chinese Simplified)
Platform: Windows Mod Related: No

Expansion: Breaking Ground, Core Game

Description

Even with 1.7.2.2556 | can't seem to control kerbals on the rescue missions. When | hit 'R’ they grab the controls, but | can't control
them at all. They have full propellant as well. Someone how it did drop from 5 to 4.95 but | am not sure how. | can control launched
kerbals just fine.

The console shows:"Exception: TypeLoadException:Could not load type 'SpaceNavigatorWindows' from assembly
'Assembly-CSharp-firstpass, version=0.0.0.0, Culture=neutral, PublicKeyToken=null'.

History

#1 - 06/24/2019 09:58 PM - diomedea
- File screenshot4309.png added

- File screenshot4311.png added

- File quicksave.sfs added

- Status changed from New to Need More Info

As could show in the attachments, | had no difficulty controlling those kerbals (Dizor and Guslong) already in EVA in your game. Of course, with
stranded Kerbals, they can't be controlled before a vessel gets close; with Guslong had to approach with a vessel before he was controllable. Don't
think SpaceNavigator (which is a 6DOF controller) is responsible for this issue, unless EVA jetpack coontrols somehow went assigned to that
controller. Please note | hadn't that exception, perhaps because | do have one of those devices installed. If you couldn't control any EVA kerbal,
would be a case for checking the settings, Input, Kerbal tab, EVA jetpack section entries, if they hold the WASD+LeftShift+LeftCtrl keys.

Please check if anything suggested helps; but if still the issue occurs, we need more info to diagnose what it could be: reproduction steps from a save
bringing to the issue, the output.log if really there's an error causing it.

#2 - 06/25/2019 02:55 AM - cords55

- File 8m.png added

- File output.png added

- Language 10010 (Chinese Simplified) added

| attached an image with me at 8m away without being able to control the kerbal. | could control a kerbal on Kerbin, but | can't control any in space.
My output.log file in \KSP_x64_Data\ folder is 21 gb apparently. So that's not going to attach. | think that error before is triggering constantly. The
console test is wobbling as though it were.

#3 - 07/02/2019 08:53 AM - diomedea

cords55 wrote:

| attached an image with me at 8m away without being able to control the kerbal. | could control a kerbal on Kerbin, but | can't control any in
space. My output.log file in \KSP_x64_Data\ folder is 21 gb apparently. So that's not going to attach. | think that error before is triggering
constantly. The console test is wobbling as though it were.

Is the output_log.txt file such long just after loading that game in KSP? If so, there's something wrong for sure. In a stock install, loading your game
and performing all maneuvers to recover Kerbals, my output_log only arrived to 831 KB. Isn't perhaps that you have a massive amount of add-ons
installed? (of course if that was the case, one of the add-ons could be responsible for the issue you're seeing). But seems more plausible the log
grows that long with time because an error is being repeatedly logged, catching that error would be exactly why we need to get the log.

If there's an error logged, you will be able to see it on screen as well doing the following:
- from Main, Settings, General tab, under the System pane, enable "Verbose Logging"; or, edit this line to read "VERBOSE_DEBUG_LOG = True" in

your "Settings.cfg"

- in your "Settings.cfg", edit lines as follow:
--LOG_ERRORS_TO_SCREEN = True

-- LOG_EXCEPTIONS_TO_SCREEN = True

(do the reverse, setting all lines to "FALSE" afterwards, unless you wish to keep errors visible).
Now everything abnormal will appear as red/orange text on the right side of the screen; if errors are spammed in the log, the screen will show them
flashing fast. It may come of help to capture a screenshot while the error is shown, but still better to go with the output_log. So,when seeing errors
flashing on screen, don't wait for the output_log to grow. Kill the game, then send the output_log (that won't have had time to grow that large).
